### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-breadcrumb/ecl-breadcrumb-core/ecl-breadcrumb-core-segment.component.ts`

### Extends

`EclBreadcrumbSegmentComponent`

### Metadata

selector | `ecl-breadcrumb-core-segment`
templateUrl | `./ecl-breadcrumb-core-segment.component.html`

### Index

###### Properties

- Public el
- tabIndex

###### Methods

- onSegmentClick
- getCssClasses

###### Inputs

- href
- isCurrentPage
- isHidden
- queryParams
- routerLink
- class
- e2eAttr

###### Outputs

- segmentClick

###### HostBindings

- class
- attr.tabindex

###### Accessors

- cssClasses

### Constructor

`constructor(el: ElementRef)`

Parameters :

Name | Type | Optional
el | `ElementRef` | No

### Inputs

href
Type : `string`
Default value : `''`

isCurrentPage
Type : `boolean`
Default value : `false`

isHidden
Type : `boolean`
Default value : `null`

queryParams
Type : `any`
Default value : `null`

routerLink
Type : `any`
Default value : `null`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

segmentClick
Type : `EventEmitter`

### HostBindings

class
Type : `any`

attr.tabindex
Type : `string`
Default value : `'-1'`

### Methods

onSegmentClick
`onSegmentClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

Public el
Type : `ElementRef`

tabIndex
Type : `string`
Default value : `'-1'`
Decorators : `@HostBinding('attr.tabindex')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""